<?php
#**************************************************
#  CPG PMS Plugin for Coppermine Photo Gallery
#  *************************************************
#  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
#  *************************************************
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  *************************************************
#  Coppermine version: 1.4.13
#  CPG PMS version: 1.1
#  $Revision: 1.0 $
#  $Author: stramm $
#***************************************************

if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...'); }

//Configuration
$lang_plugin_pms['$description'] = 'Mit CPG - Private Messaging System bekommst du die Möglichkeit zum Senden und Empfangen privater Nachrichten.';
$lang_plugin_pms['version']      = '2.0';
$lang_plugin_pms['Announcement Thread'] = 'Ankündigungs Thema';
$lang_plugin_pms['Instructions']   = 'Hinweisdatei';
$lang_plugin_pms['Inst_lang']    =   '<a href=" plugins/cpg_pms/instructions/hinweisdatei.txt" class="admin_menu" target="_blank">';

$lang_pms_admin_data = array(
  'Private Nachrichten',
  array('Private Nachrichten aktivieren', 'pms_enabled', 1),
  array('PMS Status-Info wenn angemeldet in (2q)', 'display_pms_status', 1),
  array('Zeige Login Formular', 'enable_loginform', 1),
  array('Erlaube Links', 'pms_make_links', 1),
  array('Erlaube Smilies in Privat Nachrichten', 'pms_smilies', 1),
  array('Erlaube BBCode', 'pms_message_bbcode', 1),
  array('Erlaube Bilder', 'pms_message_img_tag', 1),
  array('E-Mailbenachrichtigung', 'pms_enable_email', 1),
  array('Wieviel Nachrichten speichern', 'pms_messages', 0),
  array('Datumsformat', 'pms_date_format', 0),
  array('Zeitformat', 'pms_time_format', 0),
  array('Zeit nach der eine neue Private Nachricht gesendet werden kann (in Sekunden)', 'pms_post_flood', 0),
);

$lang_pms_sys['admin_title']     = 'Private Nachrichten';
$lang_pms_sys['noname']          = 'Kein Bildername';
$lang_pms_sys['from']            = 'von';
$lang_pms_sys['welcome']         = 'Willkommen zurück';
$lang_pms_sys['user']            = 'Benutzername';
$lang_pms_sys['pass']            = 'Passwort';
$lang_pms_sys['remember']        = 'Erinnere mich';
$lang_pms_sys['pms']             = 'Private Nachrichten: ';
$lang_pms_sys['unread_total']    = ' ungelesen; gesamt ';
$lang_pms_sys['yes']             = 'ja';
$lang_pms_sys['no']              = 'nein';
$lang_pms['info']                = 'Information';
$lang_pms['upd_success']         = 'Die Einstellungen von Coppermine wurden aktualisiert';
$lang_pms['title']               = 'Galerie-Einstellungen';
$lang_pms['click_expand']        = 'aus';
$lang_pms['User doesnt exist']   = 'Benutzer gibt es nicht';
$lang_pms['Close Tags']          = 'Tags abschliessen';

//Farben
$lang_pms['Dark Red']            = 'Dunkelrot';
$lang_pms['Red']                 = 'Rot';
$lang_pms['Orange']              = 'Orange';
$lang_pms['Brown']               = 'Braun';
$lang_pms['Yellow']              = 'Gelb';
$lang_pms['Green']               = 'Grün';
$lang_pms['Olive']               = 'Olive';
$lang_pms['Cyan']                = 'Türkis';
$lang_pms['Blue']                = 'Blau';
$lang_pms['Dark Blue']           = 'Dunkelblau';
$lang_pms['Indigo']              = 'Indigo';
$lang_pms['Violet']              = 'Violet';
$lang_pms['White']               = 'Wei&szlig;';
$lang_pms['Black']               = 'Schwarz';

//Date
$lang_pms['Today']              = 'Heute';
$lang_pms['Yesterday']          = 'Gestern';
$lang_pms['This week']          = 'diese Woche';
$lang_pms['This month']         = 'diesen Monat';
$lang_pms['Older than a month'] = 'älter als ein Monat';

// Common
$lang_pms['Messages']           = 'Nachrichten';
$lang_pms['Message']            = 'Nachricht';
$lang_pms['Save message']       = 'speichern der Nachricht';
$lang_pms['Send']               = 'Senden';

// Messages
$lang_pms['Inbox']              = 'Eingang';
$lang_pms['Outbox']             = 'Ausgang';
$lang_pms['switch']             = 'Wechseln zu';
$lang_pms['Box0']               = 'Wechsel zum Postausgang';
$lang_pms['Box1']               = 'Wechsel zum Posteingang';
$lang_pms['Action']             = 'Action';
$lang_pms['Reply']              = 'antworten';
$lang_pms['Delete']             = 'löschen';
$lang_pms['Quote']              = 'Zitat';
$lang_pms['Date']               = 'Datum';
$lang_pms['Status']             = 'Nachrichten Status:';
$lang_pms['Subject']            = 'Betreff';
$lang_pms['Sender']             = 'Versender';
$lang_pms['Receiver']           = 'Empfänger';
$lang_pms['Private Messages']   = 'Private Nachrichten';
$lang_pms['PrivateMessage']     = 'Private Nachricht';
$lang_pms['PrivMesIn']          = 'Private Nachrichten im';
$lang_pms['New message']        = 'Neue Nachricht senden';
$lang_pms['managefolder']       = 'Ordner verwalten';
$lang_pms['contains']           = 'enthält';
$lang_pms['Delete messages comply'] = 'Bist du dir sicher, dass du die ausgewhlten Nachrichten lschen mchten?';
$lang_pms['delete']             = 'löschen';
$lang_pms['total']              = 'Insgesamt sind';
$lang_pms['from a maximum of']  = 'von maximal';
$lang_pms['messages stored']    = 'Nachrichten gespeichert';
$lang_pms['Sort by']            = 'sortiert nach';
$lang_pms['markread']           = 'als gelesen markieren';
$lang_pms['markunread']         = 'als ungelesen markieren';
$lang_pms['Read redirect']      = 'Alle Nachrichten als gelesen markiert. Umleiten von...';
$lang_pms['Mark all']           = 'Alle Nachrichten als gelesen markieren';
$lang_pms['markmessages']       = 'Mark / unmark all messages in that time periode';
$lang_pms['markmessages_all']   = 'Mark / unmark all messages';
$lang_pms['markmessages_del']   = 'Zum löschen dieser Nachricht markiere die Checkbox und drücken auf ';

// Viewtopic
$lang_pms['PM']                 = 'PM';
$lang_pms['maxmsg']             = 'Maximale Anzahl von Nachrichten, die du speichern kannst';

// Profile
$lang_pms['Quick message']      = 'Private Nachricht senden';
$lang_pms['Show smilies']       = 'Smilies anzeigen';

// Send or delete message
$lang_pms['Send to']            = 'Senden an';
$lang_pms['Send a message']     = 'Nachrichten senden';
$lang_pms['Deletemessage']      = 'Nachricht löschen';
$lang_pms['Del redirect']       = 'Message deleted; redirecting...';
$lang_pms['Sent redirect']      ='Messages sent to user; redirecting...';

// Errors and messages
$lang_pms['No messages']        = 'Keine Nachrichten';
$lang_pms['New messages']       = 'Es gibt neue Nachrichten';
$lang_pms['No user']            = 'Es gibt keinen Benutzer mit diesem Namen.';
$lang_pms['Full inbox']         = 'Dein Posteingang ist voll!';
$lang_pms['Inbox full']         = 'Posteingang des Benutzers ist voll, Nachricht kann nicht gesendet werden. ';
$lang_pms['Sent full']          = 'Deine Box ist voll, Nachricht konnte nicht gespeichert werden';
$lang_pms['Flood start']        = 'Mindestens';
$lang_pms['Flood end']          = 'seconds have to pass between sends. Please wait a little while and try send the message again.';
$lang_pms['No subject']         = 'Kein Betreff';
$lang_pms['o_board_title']      = 'Private Nachricht';
$lang_pms['Write message legend'] = 'Write your message and submit';
$lang_pms['Subject']            = 'Betreff';
$lang_pms['Message']            = 'Nachricht';
$lang_pms['pms']                = 'Nachrichten';
$lang_pms['Hide smilies']       = 'verstecke Smilies';
$lang_pms['Options']            = 'Optionen';
$lang_pms['go']                 = 'Los';
$lang_pms['Too long message']   = 'Nachricht ist zu lang';
$lang_pms['BBCode']             = 'BBCode';
$lang_pms['img tag']            = 'Image tag';
$lang_pms['Smilies']            = 'Smilies';
$lang_pms['on']                 = 'an';
$lang_pms['off']                = 'aus';
$lang_pms['Bad request']        = 'Bad request';
$lang_pms['No permission']      = 'No permission';
$lang_pms['Image link']         = 'Bild Link';
$lang_pms['Go back']            = 'Geh zurück';
$lang_pms['Pages']              = 'Seiten';
$lang_pms['Normal icon']        = '<!-- -->';
$lang_pms['New icon']           = 'Du hast eine neue Nachricht';
$lang_pms['Today']              = 'Heute';
$lang_pms['Yesterday']          = 'Gestern';
$lang_pms['Link separator']     = ' :: ';
$lang_pms['Settings']           = 'Settings';
$lang_pms['selectedmessages']   = 'Die ausgewählten Nachrichten';
$lang_pms['unreadmsg']          = 'ungelesene Nachricht';
$lang_pms['readmsg']            = 'gelesene Nachricht';
$lang_pms['reapliedmsg']        = 'beantwortete Nachricht';
$lang_pms['posted_a']           = 'Datum aufsteigend';
$lang_pms['posted_d']           = 'Datum absteigend';
$lang_pms['sender_a']           = 'Sender aufsteigend';
$lang_pms['sender_d']           = 'Sender absteigend';
$lang_pms['u_messages_on_p_pages'] = '%d Nachrichten auf %d Seite(n)';
$lang_pms['New private message at'] = 'Neue private Nachricht in ';
$lang_pms['Smilies List']      = 'Verfügbare Smillies';
$lang_pms['Smilies Click']     = 'Klick auf einen Smillie zum Einfügen in deine Nachricht';

//Function Check
$lang_pms['You must enter a message when posting'] = '"Du kannst nicht senden ohne Nachrichteninhalt."';



$lang_pms_notify_email = <<<EOT
Hallo {USER_NAME},

Du hast eine neue private Nachricht erhalten.
In der {SITE_NAME} von {SENDER_NAME}.
Zum Lesen der Nachricht musst du angemeldet sein und klicke auf den unten stehenden Link:
<a href="{LINK}">{LINK}</a>

Wenn du keine Benachrichtigung per E-Mail mehr erhalten möchtest
benachrichtige mich über neue Private Nachricht.

{ADMIN}
EOT;

?>